version: '3.3'

services:
  mongo-replicaset:
    container_name: {{ cluster_name }}
    image: {{ imageMongo  }}
    ports:
      - "{{ dbPort  }}:27017"
    volumes:
      - {{ pathVolumeMongo_data }}:/data/db
      - {{ pathVolumeMongo_log }}:/var/log/mongodb
      - {{ pathVolumeMongo_config }}:/data/configdb
    restart: always
    environment:
      - MONGO_INITDB_ROOT_USERNAME={{userdbAdmin}}
      - MONGO_INITDB_ROOT_PASSWORD={{passdbAdmin}}
      - MONGO_INITDB_DATABASE={{dbAdmin}}
    command:
      - --auth
      - --storageEngine
      - wiredTiger
      - --replSet
      - replBureau
      - --keyFile
      - /data/configdb/key-mongo